Description

Some of the raster tools, such as translate, provide a "Creation Options" section (see the attached screenshot).  It is very difficult for users

to locate the documentation to find out what options are available.  I suggest adding a help button to the creation options section, which

would be something like this:

Raster translate - creation options

Use the add button to add format specific creation options for the output file.

To see what options are available for your selected output file format, visit http://gdal.org/formats_list.html, click on the format, and

scroll down until you find the list of creation options.

e.g. to create accompanying world files with output tiff images, use the TFW=YES option, by entering "tfw" for the option name and

"yes" for the value.

There might be a better way to provide this information; perhaps via a tooltip (does QT support clickable URLs in a tooltip?).  Or maybe it

should just be added to the manual.

If there are any options that are likely to be very popular, it might be worth adding startup tips for them.  Maybe the TFW option is an

example:

Tip: Some other software requires world files to display geotiffs in the correct location.

When creating geotiffs using features such as Raster Translate, you can create accompanying world files by using the TFW=YES

option.

Simply check the box to enable Creation Options, click Add, and enter "tfw" for the option name and "yes" for the value.

History

#1 - 2011-04-13 12:21 AM - Alister Hood

Sorry - I never seem to understand the formatting on here.

"Raster translate - creation options" is meant to be the title of the help dialogue

#2 - 2011-04-13 12:22 AM - Alister Hood

"Raster translate - creation options" is meant to be the title of the help dialogue

2024-04-20 1/2

http://gdal.org/formats_list.html


Proposed help dialogue

#3 - 2011-08-17 04:18 AM - Alister Hood

- Target version deleted (Version 1.7.0)

- Pull Request or Patch supplied set to No

Re suggested help text:

To see what options are available for your selected output file format, visit http://gdal.org/formats_list.html, click on the format, and scroll down until

you find the list of creation options.

Of course, there's actually no need to visit gdal.org, as there is html gdal and ogr formats documentation installed (at least on windows).

#4 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#8 - 2014-06-29 10:09 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

#9 - 2015-11-20 07:17 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

in QGIS 2.13 (and probably in previous versions), the help button on each of the raster tools redirects your web browser to the latest documentation page

of the tool you are using (gdalbuildvrt for Build Virtual Raster for example).

I am closing this feature request.
